Package org.w3c.tidy

# Class AttVal

java.lang.Object
org.w3c.tidy.AttVal

All Implemented Interfaces:
  `Cloneable`

public class AttVal extends Object implements Cloneable
Attribute/Value linked list node.

Version:
  $Revision: 899 $ ($Author: aditsu $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Attr`
`adapter`
DOM adapter.
`protected Node`
`asp`
Asp node.
`protected String`
`attribute`
Attribute name.
`protected int`
`delim`
Delimiter (" or ').
`protected Attribute`
`dict`
Attribute definition.
`protected AttVal`
`next`
next AttVal.
`protected Node`
`php`
Php node.
`protected String`
`value`
Attribute value.

## Constructor Summary

Constructors
Constructor
Description
`AttVal()`
Instantiates a new empty AttVal.
`AttVal(AttVal next, Attribute dict, int delim, String attribute, String value)`
Instantiates a new AttVal.
`AttVal(AttVal next, Attribute dict, Node asp, Node php, int delim, String attribute, String value)`
Instantiates a new AttVal.

## Method Summary

Modifier and Type
Method
Description
`Attribute`
`checkAttribute(Lexer lexer, Node node)`
Check attribute name/value and report errors.
`protected Object`
`clone()`
`protected Attr`
`getAdapter()`
Return the org.w3c.dom.Attr adapter.
`Node`
`getAsp()`
Getter for `asp`.
`String`
`getAttribute()`
Getter for `attribute`.
`int`
`getDelim()`
Getter for `delim`.
`Attribute`
`getDict()`
Getter for `dict`.
`AttVal`
`getNext()`
Getter for `next`.
`Node`
`getPhp()`
Getter for `php`.
`String`
`getValue()`
Getter for `value`.
`boolean`
`isBoolAttribute()`
Is this a boolean attribute.
`void`
`setAsp(Node asp)`
Setter for `asp`.
`void`
`setAttribute(String attribute)`
Setter for `attribute`.
`void`
`setDelim(int delim)`
Setter for `delim`.
`void`
`setDict(Attribute dict)`
Setter for `dict`.
`void`
`setNext(AttVal next)`
Setter for `next`.
`void`
`setPhp(Node php)`
Setter for `php`.
`void`
`setValue(String value)`
Setter for `value`.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### next

protected AttVal next
next AttVal.

### dict

protected Attribute dict
Attribute definition.

### asp

protected Node asp
Asp node.

### php

protected Node php
Php node.

### delim

protected int delim
Delimiter (" or ').

### attribute

protected String attribute
Attribute name.

### value

protected String value
Attribute value.

### adapter

protected Attr adapter
DOM adapter.

## Constructor Details

### AttVal

public AttVal()
Instantiates a new empty AttVal.

### AttVal

public AttVal(AttVal next, Attribute dict, int delim, String attribute, String value)
Instantiates a new AttVal.

Parameters:
  `next` - next linked AttVal
  `dict` - Attribute from dictionary
  `delim` - delimitator for attribute value
  `attribute` - attribute name
  `value` - attribute value

### AttVal

public AttVal(AttVal next, Attribute dict, Node asp, Node php, int delim, String attribute, String value)
Instantiates a new AttVal.

Parameters:
  `next` - next linked AttVal
  `dict` - Attribute from dictionary
  `asp` - contained asp node
  `php` - contained php node
  `delim` - delimitator for attribute value
  `attribute` - attribute name
  `value` - attribute value

## Method Details

### clone

protected Object clone()

Overrides:
  `clone` in class `Object`
See Also:
  - `Object.clone()`

### isBoolAttribute

public boolean isBoolAttribute()
Is this a boolean attribute.

Returns:
  `true` if this is a boolean attribute

### checkAttribute

public Attribute checkAttribute(Lexer lexer, Node node)
Check attribute name/value and report errors.

Parameters:
  `lexer` - Lexer
  `node` - node which contains this attribute
Returns:
  Attribute

### getAdapter

protected Attr getAdapter()
Return the org.w3c.dom.Attr adapter.

Returns:
  org.w3c.dom.Attr adapter

### getAsp

public Node getAsp()
Getter for `asp`.

Returns:
  Returns the asp.

### setAsp

public void setAsp(Node asp)
Setter for `asp`.

Parameters:
  `asp` - The asp to set.

### getAttribute

public String getAttribute()
Getter for `attribute`.

Returns:
  Returns the attribute.

### setAttribute

public void setAttribute(String attribute)
Setter for `attribute`.

Parameters:
  `attribute` - The attribute to set.

### getDelim

public int getDelim()
Getter for `delim`.

Returns:
  Returns the delim.

### setDelim

public void setDelim(int delim)
Setter for `delim`.

Parameters:
  `delim` - The delim to set.

### getDict

public Attribute getDict()
Getter for `dict`.

Returns:
  Returns the dict.

### setDict

public void setDict(Attribute dict)
Setter for `dict`.

Parameters:
  `dict` - The dict to set.

### getNext

public AttVal getNext()
Getter for `next`.

Returns:
  Returns the next.

### setNext

public void setNext(AttVal next)
Setter for `next`.

Parameters:
  `next` - The next to set.

### getPhp

public Node getPhp()
Getter for `php`.

Returns:
  Returns the php.

### setPhp

public void setPhp(Node php)
Setter for `php`.

Parameters:
  `php` - The php to set.

### getValue

public String getValue()
Getter for `value`.

Returns:
  Returns the value.

### setValue

public void setValue(String value)
Setter for `value`.

Parameters:
  `value` - The value to set.